Home / Node / Lectura arbitraria en varios productos de GitLab

Lectura arbitraria en varios productos de GitLab

Publication date: 
07/08/2021
Importance: 
5 - Crítica
Affected resources: 
  • GitLab Community Edition (CE), todas las versiones desde la 13.11, 13.12 y 14.0;
  • GitLab Enterprise Edition (EE), todas las versiones desde la 13.11, 13.12 y 14.0.
Description: 

El investigador, vakzz, ha reportado al programa HackerOne bug bounty de GitLab una vulnerabilidad de severidad crítica, que podría permitir a un atacante leer archivos de forma arbitraria en el servidor.

Solution: 

Actualizar los productos afectados a la versión 14.0.4, 13.12.8 o 13.11.7, según corresponda, a través de la web del fabricante.

Detail: 

Una vulnerabilidad de lectura arbitraria de archivos debida a una característica de diseño podría permitir a un atacante leer archivos arbitrarios del servidor.

Encuesta valoración